net.sf.statcvs

## Class Main

- java.lang.Object
- - net.sf.statcvs.Main

-     public class Main
      extends java.lang.Object

  StatCvs Main Class; it starts the application and controls command-line related stuff
  Version:
    $Id: Main.java,v 1.68 2009/08/05 16:32:10 benoitx Exp $
  Author:
    Lukasz Pekacki, Richard Cyganiak

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Main()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `generateDefaultHTMLSuite()` Generates HTML report.
    `static void` | `main(java.lang.String[] args)` Main method of StatCvs

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Main

          public Main()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main method of StatCvs
      Parameters:
        `args` - command line options

    - #### generateDefaultHTMLSuite

          public static void generateDefaultHTMLSuite()
                                               throws LogSyntaxException,
                                                      java.io.IOException,
                                                      ConfigurationException

      Generates HTML report. `ConfigurationOptions` must be initialized before calling this method.
      Throws:
        `LogSyntaxException` - if the logfile contains unexpected syntax
        `java.io.IOException` - if some file can't be read or written
        `ConfigurationException` - if a required ConfigurationOption was not set